#include "basic.h"
#include "util/common.h"

DelayAction::DelayAction(double seconds) {
	delay = seconds;
	targetTime = 0;
}
void DelayAction::initialize() {
	targetTime = GetTime() + delay;
}
void DelayAction::process() {
}
void DelayAction::abort() {
}
bool DelayAction::isFinished() {
	return GetTime() > targetTime;
}

PrintAction::PrintAction(std::string message) :
				text(message) {

}

void PrintAction::initialize() {
}
void PrintAction::process() {
	puts(text.c_str());
}
void PrintAction::abort() {
}
bool PrintAction::isFinished() {
	return true;
}

