#pragma once

#include "autobase.h"

/**
 * @brief Drive in a circular arc
 */
class DriveTurn : public AutoBaseAction {
public:
	/**
	 * @brief Constructor
	 *
	 * @see Drive::autonDriveTurn
	 */
	DriveTurn(double degrees, double radius);
private:
	void initialize() override;
	void process() override;
	bool isFinished() override;
	void abort() override;

	double distance;
	double turnDegree;
};
