#include "moveLifter.h"
#include "lifter.h"

MoveLifter::MoveLifter(Lifter::LifterPosition pos) :
				AutoBaseAction("Move Lifter") {
	position = pos;
}

void MoveLifter::initialize() {
	lifter.goToPosition(position);
}
void MoveLifter::process() {
}
bool MoveLifter::isFinished() {
	return lifter.isAtPosition();
}
void MoveLifter::abort() {
	lifter.goToPosition(lifter.LifterPosition::kStop);
}
