#pragma once

#include "autobase.h"
#include "lifter.h"

/**
 * @brief Drive in a circular arc
 */
class MoveLifter: public AutoBaseAction {
public:
	/**
	 * @brief Constructor
	 *
	 * @see Drive::autonDriveTurn
	 */
	MoveLifter(Lifter::LifterPosition position);
private:
	void initialize() override;
	void process() override;
	bool isFinished() override;
	void abort() override;

	Lifter::LifterPosition position;
};
