#pragma once

#include "autobase.h"
#include "util/misc.h"

/**
 * @brief Open Grippers
 */
class OpenGrippersTime : public AutoBaseAction {
public:
	/**
	 * @brief Constructor
	 *
	 */
	OpenGrippersTime(double time);
private:
	void initialize() override;
	void process() override;
	bool isFinished() override;
	void abort() override;
	TimerW timer;
	double delay;
};
