#pragma once

#include "systembase.h"

class TinCanPuller : public SystemBase {
public:
	TinCanPuller();
	~TinCanPuller();

	enum class Direction {
		kIn, kOut, kStop
	};

	void initialize() override;
	void process() override;

	void reel(Direction d);
	bool isAtPosition();
private:
	HardwareAccess& Base;
	double desiredPower;
};
