#include "systembase.h"
#include "logging.h"

SystemBase::SystemBase(const char* name) :
		m_name(name) {
	Logging::registerSystem(this);
}

SystemBase::~SystemBase() {
	Logging::unregisterSystem(this);
}

const char* SystemBase::getName() const {
	return m_name;
}

void SystemBase::debug(Logger&) {
}

