//#pragma once
//
//class Action;
//
//#include <vector>
//#include <string>
//#include <istream>
//#include <map>
//
//class ActionReader {
//public:
//	enum class Type {
//		Real, Integer, String, Option
//	};
//	typedef struct {
//		Type t;
//		double dmin;
//		double dmax;
//		long lmin;
//		long lmax;
//		std::vector<std::string> options;
//	} Parameter;
//	typedef struct {
//		double real;
//		long integer;
//		std::string string;
//	} Option;
//	typedef Action*(ActionCreator)(std::vector<Option>);
//
//	ActionReader();
//	void registerType(std::string identifier, std::vector<Parameter>,
//			ActionCreator);
//	std::vector<std::pair<std::string, Action*> > read(std::istream&);
//private:
//	typedef struct {
//		ActionCreator* maker;
//		std::vector<Parameter> params;
//	} ConstructionControl;
//	std::map<std::string, ConstructionControl> types;
//};
