#include "driveTurn.h"
#include "drive.h"

DriveTurn::DriveTurn(double degrees, double radius) :
				AutoBaseAction(
						"Drive Turn deg=" + std::to_string(degrees) + " rad="
								+ std::to_string(radius) + " cm") {
	distance = radius;
	turnDegree = degrees;
}

void DriveTurn::initialize() {
	drive.autonDriveTurn(turnDegree, distance);
}
void DriveTurn::process() {
}
bool DriveTurn::isFinished() {
	return drive.autonDone();
}
void DriveTurn::abort() {
	drive.autoDoNothing();
}
