#include "openGrippersTime.h"
#include "gripper.h"

OpenGrippersTime::OpenGrippersTime(double t) :
				AutoBaseAction(
						"Open Grippers for " + std::to_string(t) + " sec") {
	delay = t;
}

void OpenGrippersTime::initialize() {
	timer.Reset();
	gripper.move(Gripper::Direction::kOpen);
}
void OpenGrippersTime::process() {
	//why is this even?
}
bool OpenGrippersTime::isFinished() {
	return timer.Get() > delay;
}
void OpenGrippersTime::abort() {
}

