#include "strafe.h"
#include "drive.h"

Strafe::Strafe(double dtime, double maxPower) :
				AutoBaseAction(
						"Strafe pow=" + std::to_string(maxPower) + " time="
								+ std::to_string(dtime)) {

	timeNeeded = dtime;
	power = maxPower;
}

void Strafe::initialize() {
	drive.autonStrafe(timeNeeded, power);
}
void Strafe::process() {
}
bool Strafe::isFinished() {
	return drive.autonDone();
}
void Strafe::abort() {
	drive.autoDoNothing();
}

