#pragma once

#include "autobase.h"

/**
 * @brief Strafe side to side
 */
class Strafe : public AutoBaseAction {
public:
	/**
	 * @brief Constructor
	 *
	 * @warning Uses a directed time
	 *
	 * @param dtime - is left. + is right. Units are seconds
	 * @param maxPower In range [0,1]
	 */
	Strafe(double dtime, double maxPower);
private:
	void initialize() override;
	void process() override;
	bool isFinished() override;
	void abort() override;

	double timeNeeded;
	double power;
};
