#pragma once

// The purpose of this header file is to
// hold commonly used external functions and
// thereby reduce header inclusion overhead

double GetTime();
void Wait(double time);

extern "C" {
	double fabs(double) throw();
	double pow(double, double) throw();
	int printf(const char*, ...);
}
